module Main exposing (main)

import Browser
import Core
import Views


main :
    Program
        { title : Maybe String
        , width : Int
        , height : Int
        , darkMode : Bool
        , darkSetting : Maybe Bool
        , reverseVideos : Maybe Bool
        , mobile : Maybe Bool
        }
        Core.Model
        Core.Msg
main =
    Browser.application
        { init = Core.init
        , update = Core.update
        , view = Views.view
        , subscriptions = Core.subscriptions
        , onUrlChange = Core.UrlReceived
        , onUrlRequest = Core.UrlRequested
        }
